Package com.enonic.xp.util

## Class Metrics

- java.lang.Object
- - com.enonic.xp.util.Metrics

-     public final class Metrics
      extends Object

- - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static com.codahale.metrics.Counter` | `counter​(Class<?> clz, String name)` |
    `static com.codahale.metrics.Counter` | `counter​(String name)` |
    `static com.codahale.metrics.Histogram` | `histogram​(Class<?> clz, String name)` |
    `static com.codahale.metrics.Histogram` | `histogram​(String name)` |
    `static com.codahale.metrics.Meter` | `meter​(Class<?> clz, String name)` |
    `static com.codahale.metrics.Meter` | `meter​(String name)` |
    `static <T extends com.codahale.metrics.Metric> T` | `register​(Class<?> clz, String name, T metric)` |
    `static <T extends com.codahale.metrics.Metric> T` | `register​(String name, T metric)` |
    `static void` | `registerAll​(com.codahale.metrics.MetricSet set)` |
    `static com.codahale.metrics.MetricRegistry` | `registry()` |
    `static void` | `removeAll​(Class<?> clz)` |
    `static <T> T` | `time​(com.codahale.metrics.Timer timer, Supplier<T> supplier)` |
    `static com.codahale.metrics.Timer` | `timer​(Class<?> clz, String name)` |
    `static com.codahale.metrics.Timer` | `timer​(String name)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### meter

          public static com.codahale.metrics.Meter meter​(String name)

    - #### meter

          public static com.codahale.metrics.Meter meter​(Class<?> clz,
                                                         String name)

    - #### counter

          public static com.codahale.metrics.Counter counter​(String name)

    - #### counter

          public static com.codahale.metrics.Counter counter​(Class<?> clz,
                                                             String name)

    - #### histogram

          public static com.codahale.metrics.Histogram histogram​(String name)

    - #### histogram

          public static com.codahale.metrics.Histogram histogram​(Class<?> clz,
                                                                 String name)

    - #### timer

          public static com.codahale.metrics.Timer timer​(String name)

    - #### timer

          public static com.codahale.metrics.Timer timer​(Class<?> clz,
                                                         String name)

    - #### register

          public static <T extends com.codahale.metrics.Metric> T register​(String name,
                                                                           T metric)

    - #### register

          public static <T extends com.codahale.metrics.Metric> T register​(Class<?> clz,
                                                                           String name,
                                                                           T metric)

    - #### registerAll

          public static void registerAll​(com.codahale.metrics.MetricSet set)

    - #### time

          public static <T> T time​(com.codahale.metrics.Timer timer,
                                   Supplier<T> supplier)

    - #### removeAll

          public static void removeAll​(Class<?> clz)

    - #### registry

          public static com.codahale.metrics.MetricRegistry registry()